<h4 class="text-center">Login</h4>
<div class="form">
<form [formGroup]="this.loginForm" (ngSubmit)="this.login()">
  <div class="form-group">
    <input type="name" class="form-control" id="name-input" placeholder="Username" formControlName="name" autocomplete="on">
  </div>

  <!-- <div *ngIf="this.loginForm.controls.name.invalid && this.loginForm.controls.name.dirty" class="alert alert-danger">
    <div *ngIf="this.loginForm.controls.name.errors.required">
      Username is required.
    </div>

    <div *ngIf="this.loginForm.controls.name.errors.minlength">
      Username must be at least 4 characters long.
    </div>

  </div> -->

  <div class="form-group">
    <input type="password" class="form-control" id="password-input" placeholder="Password" formControlName="password" autocomplete="on">
  </div>

  <!-- <div *ngIf="this.loginForm.controls.password.invalid && this.loginForm.controls.password.dirty" class="alert alert-danger">
    <div *ngIf="this.loginForm.controls.password.errors.required">
      Password is required.
    </div>

    <div *ngIf="this.lognForm.controls.password.errors.pattern">
      The password must be at least 6 symbols long and must have at least one lower case letter, one upper case letter,
      one number and one special symbol.
    </div>
  </div> -->

  <button type="submit" class="btn btn-primary" [disabled]="this.loginForm.invalid">Login !</button>
</form>
</div>
